#!/bin/bash
# version 1.11 22/10/2017

cd ~
screen -S miner -X quit
#screen -S nofee -X quit

##-------AMD settings-----------
export DISPLAY=:0
export GPU_MAX_ALLOC_PERCENT=100
export GPU_USE_SYNC_OBJECTS=1
export GPU_FORCE_64BIT_PTR=1
export GPU_MAX_HEAP_SIZE=100
export GPU_SINGLE_ALLOC_PERCENT=100

##-------MINER---------------
echo "start miner."
#sleep 5

##---------------------------------
##----My personal configuration----
##---------------------------------

##------------------
## Other crypto coin
##------------------

##-----------------------
##------ ethminer -------
##-----------------------

#Genoil's ethminer stratum
#screen -dmS miner ~/ethminer -G stratum://0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig@eu1.ethermine.org:4444 --cl-local-work 256 --cl-global-work 26384 &

#Genoil's ethminer nicehash
#screen -dmS miner ~/ethminer -G stratum://16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig@daggerhashimoto.eu.nicehash.com:3353 --cl-global-work 26384 --cl-local-work 256 --opencl-device 0 1 2 3 &

##------------------------------
##---- Claymore Dual Mining ----
##------------------------------

## Nicehash ETH only
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -gser 2 -asm 1 &

## Nicehash ETH + SIA
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://siamining.com:7777 -dwal ef0a5c294aacac4766d13035d8e4842f54c542748f3a230115a4351af92688684a94fec1b557.OpenRig -dcoin sia -gser 2 &

## Nicehash ETH + lbry
##screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://lbry.suprnova.cc:6256 -dwal wareck.2 -dpsw x -dcoin lbc

## Nicehash ETH + DCR
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://decred.eu.nicehash.com:3354 -dwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -dcoin dcr

## Nicehash ETH + Blake
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool startum+tcp://stratum+tcp://blake2s.eu.nicehash.com:3361 -dwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -dcoin blake2s

## Nicehash ETH + keccak
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool startum+tcp://stratum+tcp://keccak.eu.nicehash.com:3338 -dwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -dcoin keccak

## Nicehash ETH + PASC_Nicehash
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu.nicehash.com:3353 -ewal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://pascal.eu.nicehash.com:3358  -dwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -dcoin pasc

## Ethermine ETH only
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -estale 0 -asm 2 -dcri 1 -gser 2 -dcri 1 &

## Ethermine ETH + decred
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -esm 3 -allpools 1 -esm 3 -dpool dcr.suprnova.cc:3252 -dwal wareck.openrig -dpsw x &

## Ethermine ETH + lbry
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -estale 0 -dpool stratum+tcp://lbry.suprnova.cc:6256 -dwal wareck.1 -dpsw x -dcoin lbc

## Ethermine ETH + Pascal
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -estale 0 -dpool stratum+tcp://pasc.suprnova.cc:5279 -dwal wareck.1 -dpsw x -dcoin pasc -allpools 1

## Ethermine ETH + Pascal Lite
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -estale 0 -dpool stratum+tcp://pasl.suprnova.cc:4316 -dwal wareck.1 -dpsw x -dcoin pasc -allpools 1 -asm 2 &

## Ethermine ETH + SIA
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -estale 0 -dpool stratum+tcp://siamining.com:7777 -dwal ef0a5c294aacac4766d13035d8e4842f54c542748f3a230115a4351af92688684a94fec1b557.OpenRig -dcoin sia -wd 1 -gser 2 -esm 0 &


##------------------
##----Equihash------
##------------------

##---- Claymore Zcash ----
# Nicehash
#screen -dmS miner ~/claymore_zcash/zecminer64 -zpool ssl://equihash.eu.nicehash.com:33357 -zwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -zpsw x &

# Flypool
#screen -dmS miner ~/claymore_zcash/zecminer64 -zpool ssl://eu1-zcash.flypool.org:3443 -zwal t1J4NMWTpr6WMd8arD31A3BHARAjZayq8Jq.OpenRig -zpsw x -ftime 1 -asm 2 -i 9 &

##-----------------
##----- XMR -------
##-----------------

# Nicehash
#screen -dmS miner ~/claymore_xmr/nsgpucnminer -xpool stratum+ssl://cryptonight.eu.nicehash.com:33355 -xwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -xpsw x -allpools 1 -pow7 1 &
#screen -dmS miner ./xmrig-amd -o cryptonightv7.eu.nicehash.com:3363 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x &
#screen -dmS miner ./xmr-stak -o cryptonightv7.eu.nicehash.com:3363 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x --use-nicehash --currency cryptonight_v7 &

# Nicehash cryptonight heavy
#screen -dmS miner ./xmrig-amd -o cryptonightheavy.eu.nicehash.com:3364 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x -a cryptonight-heavy
#screen -dmS miner ~/claymore_xmr/nsgpucnminer -xpool cryptonightheavy.eu.nicehash.com:3364 -xwal 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -xpsw x -allpools 1 -pow7 1&

# Nicehash cryptonightv8
#screen -dmS miner ./xmrig-amd -o stratum+tcp://cryptonightv8.eu.nicehash.com:3367 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x -a cryptonight --variant 2 &
#screen -dmS miner ./xmr-stak -o stratum+tcp://cryptonightv8.eu.nicehash.com:3367 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x --use-nicehash --currency cryptonight_v8

# Intense coin
#screen -dmS miner claymore_xmr/nsgpucnminer -xpool ssl://pool.intensecoin.com:9000 -xwal iz5rRQwf4PrUVV8rNKGt3WWNhP4uJAQ1RNGw8EPEvy6NgMws3RagkpNaQX1FLsmeKjSEXCrjHFgK3h5nJV7F86hX2ckShiAck -xpsw x -allpools 1 -pow7 1
#screen -dmS miner claymore_xmr/nsgpucnminer -xpool pool.intensecoin.com:7777 -xwal iz5rRQwf4PrUVV8rNKGt3WWNhP4uJAQ1RNGw8EPEvy6NgMws3RagkpNaQX1FLsmeKjSEXCrjHFgK3h5nJV7F86hX2ckShiAck -xpsw x -allpools 1 -pow7 1
#screen -dmS miner ~/xmrig -o pool.intensecoin.com:7777 -u iz5rRQwf4PrUVV8rNKGt3WWNhP4uJAQ1RNGw8EPEvy6NgMws3RagkpNaQX1FLsmeKjSEXCrjHFgK3h5nJV7F86hX2ckShiAck -p x &
#screen -dmS miner ~/xmrig -o pool.itnspool.net:3333 -u iz5rRQwf4PrUVV8rNKGt3WWNhP4uJAQ1RNGw8EPEvy6NgMws3RagkpNaQX1FLsmeKjSEXCrjHFgK3h5nJV7F86hX2ckShiAck -p x &
#screen -dmS miner ~/xmr-stak -o pool.intensecoin.com:7777 -u iz5rRQwf4PrUVV8rNKGt3WWNhP4uJAQ1RNGw8EPEvy6NgMws3RagkpNaQX1FLsmeKjSEXCrjHFgK3h5nJV7F86hX2ckShiAck -p x --currency intense&

##---- BTX -----
#screen -dmS miner sgminer-timetravel/sgminer --kernel timetravel10 -o stratum+tcp://bitcorepool.cc:1111 -u 1CSdZFRnpgkJyhRR35ogGVYDZWBt2k4UN1 -p x -I 16 -g 4

##--------------
##--- Lyra2z ---
##--------------

#screen -dmS miner sgminer-msvc2015/sgminer --kernel lyra2z -o stratum+tcp://lyra2z.eu.nicehash.com:3365/#xnsub -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G -p x -I 12 -g 3 -w 32
#screen -dmS miner tdxminer-v0.2.2.2/tdxminer -a lyra2z -o stratum+tcp://lyra2z.eu.nicehash.com:3365 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G -p x --platform=0,1,2,3 --devices=0,1,2,3

##--------------
##---  X16R  ---
##--------------

##---- RavenCoin
#screen -dmS miner sgminer-x16r/sgminer -k x16r -o stratum+tcp://minepool.com:3636 -u RLUkvxfkNrB1egaurjGx1htrveF82hfcGF -p x -X 512 &

##---- Nicehash x16r
#screen -dmS miner sgminer-x16r/sgminer -k x16r -o stratum+tcp://x16r.eu.nicehash.com:3366 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x -X 256 --extranonce &

##------------
##---  BTG ---
##------------
#cd ~/lolMiner
#screen -dmS miner ./lolMiner --coin AUTO144_5 --pool eu.btgpool.pro --port 1445 --user GYD8iwQg4EjvHZRBLa1t5Rs7k6Wn4B5sT6.OpenRig --pass x &

##---------------
##---  BEAM   ---
##---------------
#cd ~/lolMiner_beam
#screen -dmS miner ./lolMiner --coin BEAM --pool beam.eu.nicehash.com --port 3370 --user 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig --pass x --tls 0
#screen -dmS miner ./lolMiner --coin AUTO144_5 --pool zhash.eu.nicehash.com --port 3369 --user 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig --pass x --tls 0
cd gminer_1.34
screen -dmS miner ./miner -a beamhashII --server beamv2.eu-new.nicehash.com --port 3378 -u 16F8V2EnHCNPVQwTGLifGHCE12XTnWPG8G.OpenRig -p x

echo "use 'screen -x miner' to see miner activity"
