#!/bin/bash
# version 1.11 22/10/2017

cd ~
screen -S miner -X quit
#screen -S nofee -X quit

##-------AMD settings-----------
export DISPLAY=:0
export GPU_MAX_ALLOC_PERCENT=100
export GPU_USE_SYNC_OBJECTS=1
export GPU_FORCE_64BIT_PTR=1
export GPU_MAX_HEAP_SIZE=100
export GPU_SINGLE_ALLOC_PERCENT=100

##-------MINER---------------
echo "start miner."
#sleep 5

##---------------------------------
##----My personal configuration----
##---------------------------------

##------------------
## Other crypto coin
##------------------

##-----------------------
##------ ethminer -------
##-----------------------

#Genoil's ethminer stratum
#screen -dmS miner ~/ethminer -G stratum://0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig@eu1.ethermine.org:4444 --cl-local-work 256 --cl-global-work 26384 &

#Genoil's ethminer NiceHash
#screen -dmS miner ~/ethminer -G stratum://3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig@daggerhashimoto.eu-new.nicehash.com:3353 --cl-global-work 26384 --cl-local-work 256 --opencl-device 0 1 2 3 &

##------------------------------
##---- Claymore Dual Mining ----
##------------------------------

## Nicehash ETH only
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu-new.nicehash.com:3353 -ewal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -gser 2 -asm 1 &
screen -dmS miner PhoenixMiner/PhoenixMiner -pool stratum+tcp://daggerhashimoto.eu-new.nicehash.com:3353 -wal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -pass x -proto 4

## Nicehash ETH + lbry
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu-new.nicehash.com:3353 -ewal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://lbry.eu.nicehash.com:3356 -dwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig  -dpsw x -dcoin lbc

## Nicehash ETH + DCR
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu-new.nicehash.com:3353 -ewal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://decred.eu-new.nicehash.com:3354 -dwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -dcoin dcr

## Nicehash ETH + Blake2s
#screen -dmS miner claymore/ethdcrminer64 -epool stratum+tcp://daggerhashimoto.eu-new.nicehash.com:3353 -ewal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -epsw x -esm 3 -allpools 1 -estale 0 -dpool stratum+tcp://blake2s.eu.nicehash.com:3361 -dwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -dcoin blake2s
#screen -dmS miner PhoenixMiner/PhoenixMiner -pool stratum+tcp://daggerhashimoto.eu-new.nicehash.com:3353 -wal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -pass x -dpool stratum+tcp://blake2s.eu.nicehash.com:3361 -dwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -dcoin blake2s -proto 4

## Ethermine ETH only
#screen -dmS miner claymore/ethdcrminer64 -epool eu1.ethermine.org:4444  -ewal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -epsw x -estale 0 -asm 2 -dcri 1 -gser 2 -dcri 1 &
#screen -dmS miner PhoenixMiner/PhoenixMiner -pool eu1.ethermine.org:4444  -wal 0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.OpenRig -pass x

##------------------
##----Equihash------
##------------------

##---- Claymore Zcash ----
# Nicehash
#screen -dmS miner ~/claymore_zcash/zecminer64 -zpool ssl://equihash.eu-new.nicehash.com:33357 -zwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -zpsw x &

# Flypool
#screen -dmS miner ~/claymore_zcash/zecminer64 -zpool ssl://eu1-zcash.flypool.org:3443 -zwal t1J4NMWTpr6WMd8arD31A3BHARAjZayq8Jq.OpenRig -zpsw x -ftime 1 -asm 2 -i 9 &

##-----------------
##----- XMR -------
##-----------------

# Nicehash
#screen -dmS miner ~/claymore_xmr/nsgpucnminer -xpool stratum+ssl://cryptonight.eu-new.nicehash.com:33355 -xwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -xpsw x -allpools 1 -pow7 1 &
#screen -dmS miner ./xmrig-amd -o cryptonightv7.eu-new.nicehash.com:3363 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x &
#screen -dmS miner ./xmr-stak -o cryptonightv7.eu-new.nicehash.com:3363 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x --use-nicehash --currency cryptonight_v7 &

# Nicehash cryptonight heavy
#screen -dmS miner ./xmrig-amd -o cryptonightheavy.eu-new.nicehash.com:3364 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x -a cryptonight-heavy
#screen -dmS miner ~/claymore_xmr/nsgpucnminer -xpool cryptonightheavy.eu-new.nicehash.com:3364 -xwal 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -xpsw x -allpools 1 -pow7 1&

# Nicehash cryptonightv8
#screen -dmS miner ./xmrig-amd -o stratum+tcp://cryptonightv8.eu-new.nicehash.com:3367 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x -a cryptonight --variant 2 &
#screen -dmS miner ./xmr-stak -o stratum+tcp://cryptonightv8.eu-new.nicehash.com:3367 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x --use-nicehash --currency cryptonight_v8

# Nicehash cryptonight_r
#screen -dmS miner ./xmr-stak -o stratum+tcp://cryptonightr.eu.nicehash.com:3375  -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x --use-nicehash --currency cryptonight_r


##--------------
##--- Lyra2z ---
##--------------

#screen -dmS miner sgminer-msvc2015/sgminer --kernel lyra2z -o stratum+tcp://lyra2z.eu-new.nicehash.com:3365/#xnsub -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3 -p x -I 12 -g 3 -w 32
#screen -dmS miner tdxminer-v0.2.2.2/tdxminer -a lyra2z -o stratum+tcp://lyra2z.eu-new.nicehash.com:3365 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3 -p x --platform=0,1,2,3 --devices=0,1,2,3

##--------------
##---  X16R  ---
##--------------

##---- RavenCoin
#screen -dmS miner sgminer-x16r/sgminer -k x16r -o stratum+tcp://minepool.com:3636 -u RLUkvxfkNrB1egaurjGx1htrveF82hfcGF -p x -X 512 &

##---- Nicehash x16r
#screen -dmS miner sgminer-x16r/sgminer -k x16r -o stratum+tcp://x16r.eu-new.nicehash.com:3366 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x -X 256 --extranonce &

##------------
##---  BTG ---
##------------
#cd ~/lolMiner
#screen -dmS miner ./lolMiner --coin AUTO144_5 --pool eu.btgpool.pro --port 1445 --user GYD8iwQg4EjvHZRBLa1t5Rs7k6Wn4B5sT6.OpenRig --pass x &

##---------------
##---  BEAM   ---
##---------------

#cd ~/lolMiner
#screen -dmS miner ./lolMiner --coin BEAM --pool beamv2.eu-new.nicehash.com --port 3378 --user 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig --pass x --tls 0
#screen -dmS miner ./lolMiner --coin AUTO144_5 --pool zhash.eu.nicehash.com --port 3369 --user 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig --pass x --tls 0
#cd gminer
#screen -dmS miner ./miner -a beamhashII --server beamv2.eu-new.nicehash.com --port 3378 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.OpenRig -p x

echo "use 'screen -x miner' to see miner activity"
